PurpleCoreUiOps Struct Reference

Callbacks that fire at different points of the initialization and teardown of libpurple, along with a hook to return descriptive information about the UI. More...

`#include <core.h>`

## Data Fields

void(* | ui_prefs_init )(void)
| Called just after the preferences subsystem is initialized; the UI could use this callback to add some preferences it needs to be in place when other subsystems are initialized.
void(* | debug_ui_init )(void)
| Called just after the debug subsystem is initialized, but before just about every other component's initialization. More...
void(* | ui_init )(void)
| Called after all of libpurple has been initialized. More...
void(* | quit )(void)
| Called after most of libpurple has been uninitialized. More...
GHashTable *(* | get_ui_info )(void)
| Called by purple_core_get_ui_info(); should return the information documented there.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)

## Detailed Description

Callbacks that fire at different points of the initialization and teardown of libpurple, along with a hook to return descriptive information about the UI.

Definition at line 46 of file core.h.

## Field Documentation

void(* PurpleCoreUiOps::debug_ui_init) (void)

Called just after the debug subsystem is initialized, but before just about every other component's initialization.

The UI should use this hook to call purple_debug_set_ui_ops() so that debugging information for other components can be logged during their initialization.

Definition at line 59 of file core.h.

void(* PurpleCoreUiOps::quit) (void)

Called after most of libpurple has been uninitialized.

Definition at line 67 of file core.h.

void(* PurpleCoreUiOps::ui_init) (void)

Called after all of libpurple has been initialized.

The UI should use this hook to set all other necessary UiOps structures.

See also
  ui-ops

Definition at line 65 of file core.h.

The documentation for this struct was generated from the following file:

- core.h